METASOURCES = AUTO

# set the include path found by configure
INCLUDES = $(all_includes) -I$(top_srcdir)/src/sblib
SUBDIRS = sblib plugins

# the library search path.
bin_PROGRAMS = silent_bob

silent_bob_SOURCES = brave.cpp call_tags.cpp cgrep.cpp flist.cpp \
	globals.cpp got_structs.cpp got_tag.cpp init.cpp main.cpp make_tags.cpp \
	mk_tag.cpp modding.cpp nogui_fdump.cpp nogui_indent.cpp tags.cpp \
	t_op.cpp tree.cpp usage.cpp

noinst_HEADERS = base.h dbg.h env.h head.h mod.h proto.h structs.h the_tt.h

silent_bob_LDADD = $(top_builddir)/src/sblib/libsblib.la -ldl -ldlib

install-exec-hook:
	ln -sf silent_bob $(DESTDIR)$(bindir)/sb
	ln -sf silent_bob $(DESTDIR)$(bindir)/tags
	ln -sf silent_bob $(DESTDIR)$(bindir)/the_tt
	ln -sf silent_bob $(DESTDIR)$(bindir)/structs
